From 5efb78a3d8717154c216cdc86b06fefe880d1309 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Mon, 25 Dec 2023 17:40:20 +0300
Subject: [PATCH 3/6] Handle child relation's ConvertRowtypeExpr in
 find_computable_ec_member()

---
 src/backend/optimizer/path/equivclass.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/optimizer/path/equivclass.c b/src/backend/optimizer/path/equivclass.c
index 51d806326eb..b1863726816 100644
--- a/src/backend/optimizer/path/equivclass.c
+++ b/src/backend/optimizer/path/equivclass.c
@@ -856,7 +856,8 @@ find_computable_ec_member(PlannerInfo *root,
 		exprvars = pull_var_clause((Node *) em->em_expr,
 								   PVC_INCLUDE_AGGREGATES |
 								   PVC_INCLUDE_WINDOWFUNCS |
-								   PVC_INCLUDE_PLACEHOLDERS);
+								   PVC_INCLUDE_PLACEHOLDERS |
+								   PVC_INCLUDE_CONVERTROWTYPES);
 		foreach(lc2, exprvars)
 		{
 			if (!is_exprlist_member(lfirst(lc2), exprs))
-- 
2.34.1

